module mux4(in0, in1, in2, in3, sel, out);

 input  logic 			in0, in1, in2, in3;
 input  logic	[1:0] sel;	
 
 output logic 			out;
 
 always_comb begin
	case(sel)
		2'd0: 	out = in0;
		2'd1: 	out = in1;
		2'd2: 	out = in2;
		2'd3: 	out = in3;
		default: out = 1'b0;
	endcase
 end

endmodule